@charset "UTF-8";

#imp-legende {
	position: absolute;
	right: 60px;
	bottom: 18px;
	display: flex;
	flex-direction: column;
	align-items: flex-end;
	z-index: 1;
	width: 100%;
	pointer-events: none;
}

#imp-legende img {
	max-width: 100px;
}

.imp-popup-close-button {
	position: absolute;
	pointer-events: auto;
	top:15px;
	right:15px;
	cursor: pointer;
}

.imp-popup-close-button svg{
	width:25px;
	height:25px;
}

.imp-popup-custom {
	pointer-events: none;
	position: absolute;
	right: 20px;
	top: 100px;
	
	z-index: 1;
	width: 350px;
	max-width: 350px;
	
	transition: all 0.35s cubic-bezier(0.55, 0, 0.1, 1);
	
	border-radius: 10px;
	background: rgba(255, 254, 248, 0.95);
	opacity: 0.0;
	transform: scale(0.8);
	z-index:1000;
	box-sizing: border-box;
	
}

.imp-popup-custom.active {
	pointer-events:all;
	opacity: 1.0;
	transform: scale(1.0);
	
}

.imp-popup-custom .imp-popup-scroller {

	overflow-y: auto;
	padding: 40px;
	box-sizing: border-box;
}

.imp-popup-custom .flex-holder{
	display: flex;
	flex-direction: column;
	align-items: flex-start;
	pointer-events: none;
	
	color: #012060;
	text-align: left;
	font-family: sans-serif;
	font-size: 14px;
	line-height: 19px;
	gap: 20px;
	
	height: 100%;
}


@media (max-width: 768px) { 
	.imp-popup-custom {
		transition: none;
		transition: opacity 0.35s cubic-bezier(0.55, 0, 0.1, 1);
		position: fixed;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%) !important;
		
		width: 90vw;
		max-width: 350px;
		height:auto;
		max-height: 70vh;
		
	}
	
	.imp-popup-custom .imp-popup-scroller {

		height:auto;
		max-height: 70vh;
	}
}


.imp-popup-title {
	text-align: center;
	align-self: center;
	width: 100%;
}




.title-stationen {
	display: flex;
	flex-direction: row;
	gap: 20px;
}

.title-stationen > div{
	flex-basis: 100%;
}

.imp-ui-bottom-left {
	bottom: 40px !important;
}

.imp-object-spot.imp-object-highlighted {
	-webkit-filter: brightness(1.3);
    filter: brightness(1.3);
	z-index:1000;
}

.sektor-title-g {
	color:#ee7701;
}

.sektor-title-v {
	color:#09999f;
}

.sektor-title-i {
	color:#b22795
}